MessagesController_edit
PATCH
/api/chat/messages/{id}
const url = 'https://api.streams-ai.com/api/chat/messages/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"content":{"blocks":[{"type":"rich_text","elements":[{"type":"paragraph","direction":"ltr","children":[{"type":"text","text":"example","style":{"bold":true,"italic":true,"strikethrough":true,"code":true}}]}]}]}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.streams-ai.com/api/chat/messages/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --data '{ "content": { "blocks": [ { "type": "rich_text", "elements": [ { "type": "paragraph", "direction": "ltr", "children": [ { "type": "text", "text": "example", "style": { "bold": true, "italic": true, "strikethrough": true, "code": true } } ] } ] } ] } }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
content
required
object
blocks
required
Array<object>
One of:
object
type
required
string
elements
required
Array<object>
One of:
object
type
required
string
direction
string
children
required
Array<object>
One of:
object
type
required
string
text
required
string
style
object
bold
boolean
italic
boolean
strikethrough
boolean
code
boolean
object
type
required
string
url
required
string format: uri
children
required
Array<object>
object
type
required
string
text
required
string
style
object
bold
boolean
italic
boolean
strikethrough
boolean
code
boolean
object
type
required
string
object
type
required
string
triggerName
required
string
object
type
required
string
listType
required
string
start
integer
children
required
Array<object>
object
type
required
string
checked
boolean
children
required
Array<object>
One of:
object
type
required
string
text
required
string
style
object
bold
boolean
italic
boolean
strikethrough
boolean
code
boolean
object
type
required
string
url
required
string format: uri
children
required
Array<object>
object
type
required
string
text
required
string
style
object
bold
boolean
italic
boolean
strikethrough
boolean
code
boolean
object
type
required
string
object
type
required
string
triggerName
required
string
list
object
type
required
string
listType
required
string
start
integer
children
required
Array<object> recursive
object
type
required
string
language
string
code
required
string
object
type
required
string
markdown
required
string
object
type
required
string
assetId
required
string format: uuid
fileName
required
string
contentType
required
string
object
type
required
string
component
required
string
options
required
Array<string>

